hpp-corbaserver: ComparisonTypes_t_out Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Public Member Functions | Public Attributes | List of all members
ComparisonTypes_t_out Class Reference

`#include <hpp/common-idl.hh>`

Collaboration diagram for ComparisonTypes_t_out:
[legend]

## Public Member Functions
| ComparisonTypes_t_out (ComparisonTypes_t *&_s)
| ComparisonTypes_t_out (ComparisonTypes_t_var &_s)
| ComparisonTypes_t_out (const ComparisonTypes_t_out &_s)
ComparisonTypes_t_out & | operator= (const ComparisonTypes_t_out &_s)
ComparisonTypes_t_out & | operator= (ComparisonTypes_t *_s)
| operator ComparisonTypes_t *& ()
ComparisonTypes_t *& | ptr ()
ComparisonTypes_t * | operator-> ()
ComparisonType & | operator[] (_CORBA_ULong _i)

## Public Attributes
ComparisonTypes_t *& | _data

## Constructor & Destructor Documentation

## ◆ ComparisonTypes_t_out() [1/3]

ComparisonTypes_t_out::ComparisonTypes_t_out | ( | ComparisonTypes_t *& | _s | ) |
| inline

## ◆ ComparisonTypes_t_out() [2/3]

ComparisonTypes_t_out::ComparisonTypes_t_out | ( | ComparisonTypes_t_var & | _s | ) |
| inline

## ◆ ComparisonTypes_t_out() [3/3]

ComparisonTypes_t_out::ComparisonTypes_t_out | ( | const ComparisonTypes_t_out & | _s | ) |
| inline

## Member Function Documentation

## ◆ operator ComparisonTypes_t *&()

ComparisonTypes_t_out::operator ComparisonTypes_t *& | ( |  | ) |
| inline

## ◆ operator->()

ComparisonTypes_t* ComparisonTypes_t_out::operator-> | ( |  | ) |
| inline

## ◆ operator=() [1/2]

ComparisonTypes_t_out& ComparisonTypes_t_out::operator= | ( | ComparisonTypes_t * | _s | ) |
| inline

## ◆ operator=() [2/2]

ComparisonTypes_t_out& ComparisonTypes_t_out::operator= | ( | const ComparisonTypes_t_out & | _s | ) |
| inline

## ◆ operator[]()

ComparisonType& ComparisonTypes_t_out::operator[] | ( | _CORBA_ULong | _i | ) |
| inline

## ◆ ptr()

ComparisonTypes_t*& ComparisonTypes_t_out::ptr | ( |  | ) |
| inline

## Member Data Documentation

## ◆ _data

ComparisonTypes_t*& ComparisonTypes_t_out::_data

The documentation for this class was generated from the following file:

- src/hpp/common-idl.hh